/*===============================================================================================================

		ASClient.h
	
        Copyright Apple Computer, Inc. 1992-1994
        All rights reserved

===============================================================================================================*/

#ifndef __ASCLIENT__
#define __ASCLIENT__

//______________________________________________________________________________________________________________________
//______________________________________________________ RES TYPES _____________________________________________________
//______________________________________________________________________________________________________________________

#define		kLongResType			'LONG'
#define		kUnsignedLongResType	'ULNG'

//______________________________________________________________________________________________________________________
//_______________________________________________________ RES IDs ______________________________________________________
//______________________________________________________________________________________________________________________

#define 	rReporterStringID			1000
#define		rPboyStringID				1001
#define 	rSelectServerStringID		1002

#define 	kSI_PPCBrowserPrompt		1
#define 	kSI_PPCPasswordPrompt		2
#define 	kSI_ASClientPortName		3
#define 	kSI_LocalMachineName		4
#define 	kSI_BusyServerString		5

#define		rFileStringID				1003
#define 	kSI_AuthenticationExtName	1

#define		rTickleTimeoutTicks			2001				// ULNG res ID for timeout value
#define		rTickleIntervalTicks		2002				// ULNG res ID for sending interval value
#define		rLogonTimeoutTicks			2003				// ULNG res ID for timeout value
#define		rLogoffTimeoutTicks			2004				// ULNG res ID for timeout value
#define		rDefaultTimeoutTicks		2005				// ULNG res ID for timeout value

#define		rUpdateTextRequestSize		2006				// ULNG res ID for amount of text to request
#define		rUpdateExtraDiskSpace		2007				// ULNG res ID for amount of disk space to leave free
#define		rDownloadOriginalDiskSpace	2008				// ULNG res ID for amount of disk space to leave free

#define		rAutoLogonFlag				2101				// ULNG res ID for autologon flag
#define		kAutoLogonAtBootMask		0x00000000			// the do-auto-logon-at-boot bit in the autologon flag

#endif						// __ASCLIENT__